import 'package:json_annotation/json_annotation.dart';
import 'package:keyboard/data/bean/keyboard_info.dart';

import '../../bean/user_info.dart';

part 'keyboard_generate_response.g.dart';

@JsonSerializable()
class KeyboardGenerateResponse {
  @JsonKey(name: "keyboardInfo")
   KeyboardInfo? keyboardInfo;

  @JsonKey(name: "userInfo")
   UserInfo? userInfo;

  KeyboardGenerateResponse({this.keyboardInfo, this.userInfo});

  factory KeyboardGenerateResponse.fromJson(Map<String, dynamic> json) =>
      _$KeyboardGenerateResponseFromJson(json);
}
